Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network24.192.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
24.192.0.0
Broadcast address
24.223.255.255
First usable
24.192.0.1
Last usable
24.223.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 18C00000 · Integer 415236096 to 417333247
Reverse DNS zones
192.24.in-addr.arpa
193.24.in-addr.arpa
194.24.in-addr.arpa
195.24.in-addr.arpa
196.24.in-addr.arpa
197.24.in-addr.arpa
198.24.in-addr.arpa
199.24.in-addr.arpa
200.24.in-addr.arpa
201.24.in-addr.arpa
202.24.in-addr.arpa
203.24.in-addr.arpa
204.24.in-addr.arpa
205.24.in-addr.arpa
206.24.in-addr.arpa
207.24.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011000.11000000.00000000.0000000024.192.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00011000.11000000.00000000.0000000024.192.0.0
Broadcast00011000.11011111.11111111.1111111124.223.255.255
Split into smaller subnets/21

24.192.0.0/11 makes 1,024 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
124.192.0.0/2124.192.0.1 to 24.192.7.25424.192.7.2552,046
224.192.8.0/2124.192.8.1 to 24.192.15.25424.192.15.2552,046
324.192.16.0/2124.192.16.1 to 24.192.23.25424.192.23.2552,046
424.192.24.0/2124.192.24.1 to 24.192.31.25424.192.31.2552,046
524.192.32.0/2124.192.32.1 to 24.192.39.25424.192.39.2552,046
624.192.40.0/2124.192.40.1 to 24.192.47.25424.192.47.2552,046
724.192.48.0/2124.192.48.1 to 24.192.55.25424.192.55.2552,046
824.192.56.0/2124.192.56.1 to 24.192.63.25424.192.63.2552,046
924.192.64.0/2124.192.64.1 to 24.192.71.25424.192.71.2552,046
1024.192.72.0/2124.192.72.1 to 24.192.79.25424.192.79.2552,046
1124.192.80.0/2124.192.80.1 to 24.192.87.25424.192.87.2552,046
1224.192.88.0/2124.192.88.1 to 24.192.95.25424.192.95.2552,046
1324.192.96.0/2124.192.96.1 to 24.192.103.25424.192.103.2552,046
1424.192.104.0/2124.192.104.1 to 24.192.111.25424.192.111.2552,046
1524.192.112.0/2124.192.112.1 to 24.192.119.25424.192.119.2552,046
1624.192.120.0/2124.192.120.1 to 24.192.127.25424.192.127.2552,046
1724.192.128.0/2124.192.128.1 to 24.192.135.25424.192.135.2552,046
1824.192.136.0/2124.192.136.1 to 24.192.143.25424.192.143.2552,046
1924.192.144.0/2124.192.144.1 to 24.192.151.25424.192.151.2552,046
2024.192.152.0/2124.192.152.1 to 24.192.159.25424.192.159.2552,046
2124.192.160.0/2124.192.160.1 to 24.192.167.25424.192.167.2552,046
2224.192.168.0/2124.192.168.1 to 24.192.175.25424.192.175.2552,046
2324.192.176.0/2124.192.176.1 to 24.192.183.25424.192.183.2552,046
2424.192.184.0/2124.192.184.1 to 24.192.191.25424.192.191.2552,046
2524.192.192.0/2124.192.192.1 to 24.192.199.25424.192.199.2552,046
2624.192.200.0/2124.192.200.1 to 24.192.207.25424.192.207.2552,046
2724.192.208.0/2124.192.208.1 to 24.192.215.25424.192.215.2552,046
2824.192.216.0/2124.192.216.1 to 24.192.223.25424.192.223.2552,046
2924.192.224.0/2124.192.224.1 to 24.192.231.25424.192.231.2552,046
3024.192.232.0/2124.192.232.1 to 24.192.239.25424.192.239.2552,046
3124.192.240.0/2124.192.240.1 to 24.192.247.25424.192.247.2552,046
3224.192.248.0/2124.192.248.1 to 24.192.255.25424.192.255.2552,046
3324.193.0.0/2124.193.0.1 to 24.193.7.25424.193.7.2552,046
3424.193.8.0/2124.193.8.1 to 24.193.15.25424.193.15.2552,046
3524.193.16.0/2124.193.16.1 to 24.193.23.25424.193.23.2552,046
3624.193.24.0/2124.193.24.1 to 24.193.31.25424.193.31.2552,046
3724.193.32.0/2124.193.32.1 to 24.193.39.25424.193.39.2552,046
3824.193.40.0/2124.193.40.1 to 24.193.47.25424.193.47.2552,046
3924.193.48.0/2124.193.48.1 to 24.193.55.25424.193.55.2552,046
4024.193.56.0/2124.193.56.1 to 24.193.63.25424.193.63.2552,046
4124.193.64.0/2124.193.64.1 to 24.193.71.25424.193.71.2552,046
4224.193.72.0/2124.193.72.1 to 24.193.79.25424.193.79.2552,046
4324.193.80.0/2124.193.80.1 to 24.193.87.25424.193.87.2552,046
4424.193.88.0/2124.193.88.1 to 24.193.95.25424.193.95.2552,046
4524.193.96.0/2124.193.96.1 to 24.193.103.25424.193.103.2552,046
4624.193.104.0/2124.193.104.1 to 24.193.111.25424.193.111.2552,046
4724.193.112.0/2124.193.112.1 to 24.193.119.25424.193.119.2552,046
4824.193.120.0/2124.193.120.1 to 24.193.127.25424.193.127.2552,046
4924.193.128.0/2124.193.128.1 to 24.193.135.25424.193.135.2552,046
5024.193.136.0/2124.193.136.1 to 24.193.143.25424.193.143.2552,046
5124.193.144.0/2124.193.144.1 to 24.193.151.25424.193.151.2552,046
5224.193.152.0/2124.193.152.1 to 24.193.159.25424.193.159.2552,046
5324.193.160.0/2124.193.160.1 to 24.193.167.25424.193.167.2552,046
5424.193.168.0/2124.193.168.1 to 24.193.175.25424.193.175.2552,046
5524.193.176.0/2124.193.176.1 to 24.193.183.25424.193.183.2552,046
5624.193.184.0/2124.193.184.1 to 24.193.191.25424.193.191.2552,046
5724.193.192.0/2124.193.192.1 to 24.193.199.25424.193.199.2552,046
5824.193.200.0/2124.193.200.1 to 24.193.207.25424.193.207.2552,046
5924.193.208.0/2124.193.208.1 to 24.193.215.25424.193.215.2552,046
6024.193.216.0/2124.193.216.1 to 24.193.223.25424.193.223.2552,046
6124.193.224.0/2124.193.224.1 to 24.193.231.25424.193.231.2552,046
6224.193.232.0/2124.193.232.1 to 24.193.239.25424.193.239.2552,046
6324.193.240.0/2124.193.240.1 to 24.193.247.25424.193.247.2552,046
6424.193.248.0/2124.193.248.1 to 24.193.255.25424.193.255.2552,046
6524.194.0.0/2124.194.0.1 to 24.194.7.25424.194.7.2552,046
6624.194.8.0/2124.194.8.1 to 24.194.15.25424.194.15.2552,046
6724.194.16.0/2124.194.16.1 to 24.194.23.25424.194.23.2552,046
6824.194.24.0/2124.194.24.1 to 24.194.31.25424.194.31.2552,046
6924.194.32.0/2124.194.32.1 to 24.194.39.25424.194.39.2552,046
7024.194.40.0/2124.194.40.1 to 24.194.47.25424.194.47.2552,046
7124.194.48.0/2124.194.48.1 to 24.194.55.25424.194.55.2552,046
7224.194.56.0/2124.194.56.1 to 24.194.63.25424.194.63.2552,046
7324.194.64.0/2124.194.64.1 to 24.194.71.25424.194.71.2552,046
7424.194.72.0/2124.194.72.1 to 24.194.79.25424.194.79.2552,046
7524.194.80.0/2124.194.80.1 to 24.194.87.25424.194.87.2552,046
7624.194.88.0/2124.194.88.1 to 24.194.95.25424.194.95.2552,046
7724.194.96.0/2124.194.96.1 to 24.194.103.25424.194.103.2552,046
7824.194.104.0/2124.194.104.1 to 24.194.111.25424.194.111.2552,046
7924.194.112.0/2124.194.112.1 to 24.194.119.25424.194.119.2552,046
8024.194.120.0/2124.194.120.1 to 24.194.127.25424.194.127.2552,046
8124.194.128.0/2124.194.128.1 to 24.194.135.25424.194.135.2552,046
8224.194.136.0/2124.194.136.1 to 24.194.143.25424.194.143.2552,046
8324.194.144.0/2124.194.144.1 to 24.194.151.25424.194.151.2552,046
8424.194.152.0/2124.194.152.1 to 24.194.159.25424.194.159.2552,046
8524.194.160.0/2124.194.160.1 to 24.194.167.25424.194.167.2552,046
8624.194.168.0/2124.194.168.1 to 24.194.175.25424.194.175.2552,046
8724.194.176.0/2124.194.176.1 to 24.194.183.25424.194.183.2552,046
8824.194.184.0/2124.194.184.1 to 24.194.191.25424.194.191.2552,046
8924.194.192.0/2124.194.192.1 to 24.194.199.25424.194.199.2552,046
9024.194.200.0/2124.194.200.1 to 24.194.207.25424.194.207.2552,046
9124.194.208.0/2124.194.208.1 to 24.194.215.25424.194.215.2552,046
9224.194.216.0/2124.194.216.1 to 24.194.223.25424.194.223.2552,046
9324.194.224.0/2124.194.224.1 to 24.194.231.25424.194.231.2552,046
9424.194.232.0/2124.194.232.1 to 24.194.239.25424.194.239.2552,046
9524.194.240.0/2124.194.240.1 to 24.194.247.25424.194.247.2552,046
9624.194.248.0/2124.194.248.1 to 24.194.255.25424.194.255.2552,046
9724.195.0.0/2124.195.0.1 to 24.195.7.25424.195.7.2552,046
9824.195.8.0/2124.195.8.1 to 24.195.15.25424.195.15.2552,046
9924.195.16.0/2124.195.16.1 to 24.195.23.25424.195.23.2552,046
10024.195.24.0/2124.195.24.1 to 24.195.31.25424.195.31.2552,046
10124.195.32.0/2124.195.32.1 to 24.195.39.25424.195.39.2552,046
10224.195.40.0/2124.195.40.1 to 24.195.47.25424.195.47.2552,046
10324.195.48.0/2124.195.48.1 to 24.195.55.25424.195.55.2552,046
10424.195.56.0/2124.195.56.1 to 24.195.63.25424.195.63.2552,046
10524.195.64.0/2124.195.64.1 to 24.195.71.25424.195.71.2552,046
10624.195.72.0/2124.195.72.1 to 24.195.79.25424.195.79.2552,046
10724.195.80.0/2124.195.80.1 to 24.195.87.25424.195.87.2552,046
10824.195.88.0/2124.195.88.1 to 24.195.95.25424.195.95.2552,046
10924.195.96.0/2124.195.96.1 to 24.195.103.25424.195.103.2552,046
11024.195.104.0/2124.195.104.1 to 24.195.111.25424.195.111.2552,046
11124.195.112.0/2124.195.112.1 to 24.195.119.25424.195.119.2552,046
11224.195.120.0/2124.195.120.1 to 24.195.127.25424.195.127.2552,046
11324.195.128.0/2124.195.128.1 to 24.195.135.25424.195.135.2552,046
11424.195.136.0/2124.195.136.1 to 24.195.143.25424.195.143.2552,046
11524.195.144.0/2124.195.144.1 to 24.195.151.25424.195.151.2552,046
11624.195.152.0/2124.195.152.1 to 24.195.159.25424.195.159.2552,046
11724.195.160.0/2124.195.160.1 to 24.195.167.25424.195.167.2552,046
11824.195.168.0/2124.195.168.1 to 24.195.175.25424.195.175.2552,046
11924.195.176.0/2124.195.176.1 to 24.195.183.25424.195.183.2552,046
12024.195.184.0/2124.195.184.1 to 24.195.191.25424.195.191.2552,046
12124.195.192.0/2124.195.192.1 to 24.195.199.25424.195.199.2552,046
12224.195.200.0/2124.195.200.1 to 24.195.207.25424.195.207.2552,046
12324.195.208.0/2124.195.208.1 to 24.195.215.25424.195.215.2552,046
12424.195.216.0/2124.195.216.1 to 24.195.223.25424.195.223.2552,046
12524.195.224.0/2124.195.224.1 to 24.195.231.25424.195.231.2552,046
12624.195.232.0/2124.195.232.1 to 24.195.239.25424.195.239.2552,046
12724.195.240.0/2124.195.240.1 to 24.195.247.25424.195.247.2552,046
12824.195.248.0/2124.195.248.1 to 24.195.255.25424.195.255.2552,046
12924.196.0.0/2124.196.0.1 to 24.196.7.25424.196.7.2552,046
13024.196.8.0/2124.196.8.1 to 24.196.15.25424.196.15.2552,046
13124.196.16.0/2124.196.16.1 to 24.196.23.25424.196.23.2552,046
13224.196.24.0/2124.196.24.1 to 24.196.31.25424.196.31.2552,046
13324.196.32.0/2124.196.32.1 to 24.196.39.25424.196.39.2552,046
13424.196.40.0/2124.196.40.1 to 24.196.47.25424.196.47.2552,046
13524.196.48.0/2124.196.48.1 to 24.196.55.25424.196.55.2552,046
13624.196.56.0/2124.196.56.1 to 24.196.63.25424.196.63.2552,046
13724.196.64.0/2124.196.64.1 to 24.196.71.25424.196.71.2552,046
13824.196.72.0/2124.196.72.1 to 24.196.79.25424.196.79.2552,046
13924.196.80.0/2124.196.80.1 to 24.196.87.25424.196.87.2552,046
14024.196.88.0/2124.196.88.1 to 24.196.95.25424.196.95.2552,046
14124.196.96.0/2124.196.96.1 to 24.196.103.25424.196.103.2552,046
14224.196.104.0/2124.196.104.1 to 24.196.111.25424.196.111.2552,046
14324.196.112.0/2124.196.112.1 to 24.196.119.25424.196.119.2552,046
14424.196.120.0/2124.196.120.1 to 24.196.127.25424.196.127.2552,046
14524.196.128.0/2124.196.128.1 to 24.196.135.25424.196.135.2552,046
14624.196.136.0/2124.196.136.1 to 24.196.143.25424.196.143.2552,046
14724.196.144.0/2124.196.144.1 to 24.196.151.25424.196.151.2552,046
14824.196.152.0/2124.196.152.1 to 24.196.159.25424.196.159.2552,046
14924.196.160.0/2124.196.160.1 to 24.196.167.25424.196.167.2552,046
15024.196.168.0/2124.196.168.1 to 24.196.175.25424.196.175.2552,046
15124.196.176.0/2124.196.176.1 to 24.196.183.25424.196.183.2552,046
15224.196.184.0/2124.196.184.1 to 24.196.191.25424.196.191.2552,046
15324.196.192.0/2124.196.192.1 to 24.196.199.25424.196.199.2552,046
15424.196.200.0/2124.196.200.1 to 24.196.207.25424.196.207.2552,046
15524.196.208.0/2124.196.208.1 to 24.196.215.25424.196.215.2552,046
15624.196.216.0/2124.196.216.1 to 24.196.223.25424.196.223.2552,046
15724.196.224.0/2124.196.224.1 to 24.196.231.25424.196.231.2552,046
15824.196.232.0/2124.196.232.1 to 24.196.239.25424.196.239.2552,046
15924.196.240.0/2124.196.240.1 to 24.196.247.25424.196.247.2552,046
16024.196.248.0/2124.196.248.1 to 24.196.255.25424.196.255.2552,046
16124.197.0.0/2124.197.0.1 to 24.197.7.25424.197.7.2552,046
16224.197.8.0/2124.197.8.1 to 24.197.15.25424.197.15.2552,046
16324.197.16.0/2124.197.16.1 to 24.197.23.25424.197.23.2552,046
16424.197.24.0/2124.197.24.1 to 24.197.31.25424.197.31.2552,046
16524.197.32.0/2124.197.32.1 to 24.197.39.25424.197.39.2552,046
16624.197.40.0/2124.197.40.1 to 24.197.47.25424.197.47.2552,046
16724.197.48.0/2124.197.48.1 to 24.197.55.25424.197.55.2552,046
16824.197.56.0/2124.197.56.1 to 24.197.63.25424.197.63.2552,046
16924.197.64.0/2124.197.64.1 to 24.197.71.25424.197.71.2552,046
17024.197.72.0/2124.197.72.1 to 24.197.79.25424.197.79.2552,046
17124.197.80.0/2124.197.80.1 to 24.197.87.25424.197.87.2552,046
17224.197.88.0/2124.197.88.1 to 24.197.95.25424.197.95.2552,046
17324.197.96.0/2124.197.96.1 to 24.197.103.25424.197.103.2552,046
17424.197.104.0/2124.197.104.1 to 24.197.111.25424.197.111.2552,046
17524.197.112.0/2124.197.112.1 to 24.197.119.25424.197.119.2552,046
17624.197.120.0/2124.197.120.1 to 24.197.127.25424.197.127.2552,046
17724.197.128.0/2124.197.128.1 to 24.197.135.25424.197.135.2552,046
17824.197.136.0/2124.197.136.1 to 24.197.143.25424.197.143.2552,046
17924.197.144.0/2124.197.144.1 to 24.197.151.25424.197.151.2552,046
18024.197.152.0/2124.197.152.1 to 24.197.159.25424.197.159.2552,046
18124.197.160.0/2124.197.160.1 to 24.197.167.25424.197.167.2552,046
18224.197.168.0/2124.197.168.1 to 24.197.175.25424.197.175.2552,046
18324.197.176.0/2124.197.176.1 to 24.197.183.25424.197.183.2552,046
18424.197.184.0/2124.197.184.1 to 24.197.191.25424.197.191.2552,046
18524.197.192.0/2124.197.192.1 to 24.197.199.25424.197.199.2552,046
18624.197.200.0/2124.197.200.1 to 24.197.207.25424.197.207.2552,046
18724.197.208.0/2124.197.208.1 to 24.197.215.25424.197.215.2552,046
18824.197.216.0/2124.197.216.1 to 24.197.223.25424.197.223.2552,046
18924.197.224.0/2124.197.224.1 to 24.197.231.25424.197.231.2552,046
19024.197.232.0/2124.197.232.1 to 24.197.239.25424.197.239.2552,046
19124.197.240.0/2124.197.240.1 to 24.197.247.25424.197.247.2552,046
19224.197.248.0/2124.197.248.1 to 24.197.255.25424.197.255.2552,046
19324.198.0.0/2124.198.0.1 to 24.198.7.25424.198.7.2552,046
19424.198.8.0/2124.198.8.1 to 24.198.15.25424.198.15.2552,046
19524.198.16.0/2124.198.16.1 to 24.198.23.25424.198.23.2552,046
19624.198.24.0/2124.198.24.1 to 24.198.31.25424.198.31.2552,046
19724.198.32.0/2124.198.32.1 to 24.198.39.25424.198.39.2552,046
19824.198.40.0/2124.198.40.1 to 24.198.47.25424.198.47.2552,046
19924.198.48.0/2124.198.48.1 to 24.198.55.25424.198.55.2552,046
20024.198.56.0/2124.198.56.1 to 24.198.63.25424.198.63.2552,046
20124.198.64.0/2124.198.64.1 to 24.198.71.25424.198.71.2552,046
20224.198.72.0/2124.198.72.1 to 24.198.79.25424.198.79.2552,046
20324.198.80.0/2124.198.80.1 to 24.198.87.25424.198.87.2552,046
20424.198.88.0/2124.198.88.1 to 24.198.95.25424.198.95.2552,046
20524.198.96.0/2124.198.96.1 to 24.198.103.25424.198.103.2552,046
20624.198.104.0/2124.198.104.1 to 24.198.111.25424.198.111.2552,046
20724.198.112.0/2124.198.112.1 to 24.198.119.25424.198.119.2552,046
20824.198.120.0/2124.198.120.1 to 24.198.127.25424.198.127.2552,046
20924.198.128.0/2124.198.128.1 to 24.198.135.25424.198.135.2552,046
21024.198.136.0/2124.198.136.1 to 24.198.143.25424.198.143.2552,046
21124.198.144.0/2124.198.144.1 to 24.198.151.25424.198.151.2552,046
21224.198.152.0/2124.198.152.1 to 24.198.159.25424.198.159.2552,046
21324.198.160.0/2124.198.160.1 to 24.198.167.25424.198.167.2552,046
21424.198.168.0/2124.198.168.1 to 24.198.175.25424.198.175.2552,046
21524.198.176.0/2124.198.176.1 to 24.198.183.25424.198.183.2552,046
21624.198.184.0/2124.198.184.1 to 24.198.191.25424.198.191.2552,046
21724.198.192.0/2124.198.192.1 to 24.198.199.25424.198.199.2552,046
21824.198.200.0/2124.198.200.1 to 24.198.207.25424.198.207.2552,046
21924.198.208.0/2124.198.208.1 to 24.198.215.25424.198.215.2552,046
22024.198.216.0/2124.198.216.1 to 24.198.223.25424.198.223.2552,046
22124.198.224.0/2124.198.224.1 to 24.198.231.25424.198.231.2552,046
22224.198.232.0/2124.198.232.1 to 24.198.239.25424.198.239.2552,046
22324.198.240.0/2124.198.240.1 to 24.198.247.25424.198.247.2552,046
22424.198.248.0/2124.198.248.1 to 24.198.255.25424.198.255.2552,046
22524.199.0.0/2124.199.0.1 to 24.199.7.25424.199.7.2552,046
22624.199.8.0/2124.199.8.1 to 24.199.15.25424.199.15.2552,046
22724.199.16.0/2124.199.16.1 to 24.199.23.25424.199.23.2552,046
22824.199.24.0/2124.199.24.1 to 24.199.31.25424.199.31.2552,046
22924.199.32.0/2124.199.32.1 to 24.199.39.25424.199.39.2552,046
23024.199.40.0/2124.199.40.1 to 24.199.47.25424.199.47.2552,046
23124.199.48.0/2124.199.48.1 to 24.199.55.25424.199.55.2552,046
23224.199.56.0/2124.199.56.1 to 24.199.63.25424.199.63.2552,046
23324.199.64.0/2124.199.64.1 to 24.199.71.25424.199.71.2552,046
23424.199.72.0/2124.199.72.1 to 24.199.79.25424.199.79.2552,046
23524.199.80.0/2124.199.80.1 to 24.199.87.25424.199.87.2552,046
23624.199.88.0/2124.199.88.1 to 24.199.95.25424.199.95.2552,046
23724.199.96.0/2124.199.96.1 to 24.199.103.25424.199.103.2552,046
23824.199.104.0/2124.199.104.1 to 24.199.111.25424.199.111.2552,046
23924.199.112.0/2124.199.112.1 to 24.199.119.25424.199.119.2552,046
24024.199.120.0/2124.199.120.1 to 24.199.127.25424.199.127.2552,046
24124.199.128.0/2124.199.128.1 to 24.199.135.25424.199.135.2552,046
24224.199.136.0/2124.199.136.1 to 24.199.143.25424.199.143.2552,046
24324.199.144.0/2124.199.144.1 to 24.199.151.25424.199.151.2552,046
24424.199.152.0/2124.199.152.1 to 24.199.159.25424.199.159.2552,046
24524.199.160.0/2124.199.160.1 to 24.199.167.25424.199.167.2552,046
24624.199.168.0/2124.199.168.1 to 24.199.175.25424.199.175.2552,046
24724.199.176.0/2124.199.176.1 to 24.199.183.25424.199.183.2552,046
24824.199.184.0/2124.199.184.1 to 24.199.191.25424.199.191.2552,046
24924.199.192.0/2124.199.192.1 to 24.199.199.25424.199.199.2552,046
25024.199.200.0/2124.199.200.1 to 24.199.207.25424.199.207.2552,046
25124.199.208.0/2124.199.208.1 to 24.199.215.25424.199.215.2552,046
25224.199.216.0/2124.199.216.1 to 24.199.223.25424.199.223.2552,046
25324.199.224.0/2124.199.224.1 to 24.199.231.25424.199.231.2552,046
25424.199.232.0/2124.199.232.1 to 24.199.239.25424.199.239.2552,046
25524.199.240.0/2124.199.240.1 to 24.199.247.25424.199.247.2552,046
25624.199.248.0/2124.199.248.1 to 24.199.255.25424.199.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses